## ros-lunar-four-wheel-steering-controller 0.13.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(four_wheel_steering_controller)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(${PROJECT_NAME}_CATKIN_DEPS
    controller_interface
    nav_msgs
    four_wheel_steering_msgs
    realtime_tools
    tf
    urdf_geometry_parser)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_CATKIN_DEPS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/four_wheel_steering_controller.cpp src/odometry.cpp src/speed_limiter.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES four_wheel_steering_controller_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rosgraph_msgs rostest std_srvs controller_manager tf)

  add_executable(four_wheel_steering test/src/four_wheel_steering.cpp)
  target_link_libraries(four_wheel_steering ${catkin_LIBRARIES})

  add_dependencies(tests four_wheel_steering)

  add_rostest_gtest(four_wheel_steering_controller_twist_cmd_test
                    test/four_wheel_steering_controller_twist_cmd.test
                    test/src/four_wheel_steering_twist_cmd_test.cpp)
  target_link_libraries(four_wheel_steering_controller_twist_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_controller_4ws_cmd_test
                    test/four_wheel_steering_controller_4ws_cmd.test
                    test/src/four_wheel_steering_4ws_cmd_test.cpp)
  target_link_libraries(four_wheel_steering_controller_4ws_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_wrong_config_test
                    test/four_wheel_steering_wrong_config.test
                    test/src/four_wheel_steering_wrong_config.cpp)
  target_link_libraries(four_wheel_steering_wrong_config_test ${catkin_LIBRARIES})

endif()

=== debian/changelog ===
ros-lunar-four-wheel-steering-controller (0.13.4-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 25 Jun 2018 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.13.3-0xenial) xenial; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 26 Apr 2018 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.13.2-0xenial) xenial; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.13.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.13.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 09 Aug 2017 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.12.3-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 22 Apr 2017 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.12.2-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 20 Apr 2017 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.12.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 08 Mar 2017 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.12.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 15 Feb 2017 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.11.2-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 15 Aug 2016 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.11.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.11.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 02 May 2016 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.10.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.9.2-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.9.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.9.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.8.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Jul 2014 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.8.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.7.2-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.7.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.6.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.5.4-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 29 Sep 2013 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.5.3-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 03 Sep 2013 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.5.2-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 05 Aug 2013 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.5.1-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 18 Jul 2013 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.5.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 15 Jul 2013 23:00:00 -0000

ros-lunar-four-wheel-steering-controller (0.4.0-0xenial) xenial; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 25 Jun 2013 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-four-wheel-steering-controller
Section: misc
Priority: extra
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-controller-interface, ros-lunar-controller-manager, ros-lunar-four-wheel-steering-msgs, ros-lunar-nav-msgs, ros-lunar-realtime-tools, ros-lunar-rosgraph-msgs, ros-lunar-rostest, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-urdf-geometry-parser
Homepage: http://ros.org/wiki/four_wheel_steering_controller
Standards-Version: 3.9.2

Package: ros-lunar-four-wheel-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-controller-interface, ros-lunar-four-wheel-steering-msgs, ros-lunar-nav-msgs, ros-lunar-realtime-tools, ros-lunar-tf, ros-lunar-urdf-geometry-parser
Description: Controller for a four wheel steering mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-four-wheel-steering-controller//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
